com.aliyun.svideosdk.recorder

## Interface AliyunIAudioRecorder

-     public interface AliyunIAudioRecorder

  An interface for audio recording.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunAudioClip[]` | `allClips()` Gets all recorded clips.
    `AliyunAudioClip` | `breakTag()` Breaks up the recording into clips without stopping the recording.
    `int` | `connectClip()` Generates recorded files.
    `int` | `deleteClip(AliyunAudioClip clip)` Deletes a recorded clip.
    `long` | `getRecordDuration()` Gets the total duration of recorded audio clips.
    `int` | `init(Context context)` Initializer.
    `int` | `release()` Releases resources.
    `void` | `setOnAudioRecordCallback(OnAudioRecordCallback callback)` Sets the callback of audio recording.
    `int` | `setOutputPath(java.lang.String outputPath)` Sets the output path.
    `int` | `startRecord()` Starts recording.
    `AliyunAudioClip` | `stopRecord()` Stops recording.

- - ### Method Detail

    - #### init

          int init(Context context)

      Initializer.
      Parameters:
        `context` - The context.
      Returns:

    - #### setOutputPath

          int setOutputPath(java.lang.String outputPath)

      Sets the output path.
      Parameters:
        `outputPath` - The output path.
      Returns:

    - #### setOnAudioRecordCallback

          void setOnAudioRecordCallback(OnAudioRecordCallback callback)

      Sets the callback of audio recording.
      Parameters:
        `callback` - The callback parameter.

    - #### startRecord

          int startRecord()

      Starts recording.
      Returns:

    - #### stopRecord

          AliyunAudioClip stopRecord()

      Stops recording.
      Returns:

    - #### connectClip

          int connectClip()

      Generates recorded files. @see com.aliyun.svideosdk.recorder.AudioRecordCallback#onClipConnected
      Returns:

    - #### breakTag

          AliyunAudioClip breakTag()

      Breaks up the recording into clips without stopping the recording.
      Returns:

    - #### deleteClip

          int deleteClip(AliyunAudioClip clip)

      Deletes a recorded clip.
      Parameters:
        `clip` - The clip to be deleted.
      Returns:

    - #### getRecordDuration

          long getRecordDuration()

      Gets the total duration of recorded audio clips.
      Returns:

    - #### allClips

          AliyunAudioClip[] allClips()

      Gets all recorded clips.
      Returns:

    - #### release

          int release()

      Releases resources.
      Returns: